describe("App.Components.Revelry.Index", function() {
  var Utils = React.addons.TestUtils;
  var Simulate = Utils.Simulate;
  var main;

  beforeEach(function() {
    var tmp = React.createElement(App.Components.Main, {
      path: 'revelry/index',
      options: {
        meta: {
          csrf_token: 'crappy token',
        },
      },
    });
    main = Utils.renderIntoDocument(tmp);
  });

  it("has a functioning Modal example", function() {
    var modalsExample = Utils.findRenderedComponentWithType(main, Rev.Examples.Modals)
    var modal = Utils.findRenderedComponentWithType(modalsExample, Rev.Components.Modal)

    expect(modal.props.isOpen).toEqual(false)

    var button = Utils.findRenderedDOMComponentWithTag(modalsExample, 'button')
    Simulate.click(button)

    expect(modal.props.isOpen).toEqual(true)

    var otherButton = Utils.findRenderedDOMComponentWithTag(modal, 'button')
    Simulate.click(otherButton)

    expect(modal.props.isOpen).toEqual(false)
  })
});
